EDIT - feature request #4867

Add menu item for subtree cloning
04/30/2015 10:16 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 20%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

once #4866 is available we may need it as an menu item for classifications / subtrees in the taxon navigator.

Also implement configuration form for advanced usage with parameters (for parameters see SubtreeCloneConfigurator), but do not
allow name cloning for now as it is still not fully implemented and difficult to understand.

Try to implement as long running task (the method still needs to be adopted to this - #9349)
blocked by #4866

related issues: #4864

Related issues:
Related to EDIT - bug #9349: Open issues for classification cloning New
Blocked by EDIT - feature request #4866: Implement clone method for complete ... Closed

Associated revisions

Revision 5d3fd02f - 11/06/2016 02:21 PM - Patrick Plitzner
ref #4867 Implement "Clone Classification" functionality
® availabel via context menu in taxon navigator

¢ parameters available: classification name, taxon relation from cloned taxa to original taxa
* sec reference

Revision 8fb27488 - 11/15/2016 05:33 PM - Patrick Plitzner

ref #4867 Set sec reference for taxa in cloned classification

History

#1 - 05/06/2015 02:52 PM - Andreas Miiller
- Assignee changed from k.luther - to Andreas Miiller
- Target version deleted ()

- Priority changed from Priority08 to Priority13

#2 - 05/06/2015 02:52 PM - Andreas Miller

- Assignee changed from Andreas Miiller to k.luther -

#4 - 11/07/2016 04:05 PM - Andreas Miiller
- Description updated
- Assignee changed from Katja Luther to Patrick Plitzner

- Target version changed from Reviewed Next Major Release to Release 4.4

#5 - 12/01/2016 02:07 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#6 - 12/01/2016 02:31 PM - Andreas Miuller

- Status changed from New to In Progress
- Priority changed from Priority13 to Highest
- % Done changed from 0 to 20

This is partly done and is an experimental feature currently.

#7 - 01/19/2017 01:36 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#8 - 01/19/2017 01:45 PM - Andreas Miuller

- Blocked by feature request #4866: Implement clone method for complete classifications added

#9 - 03/17/2017 08:10 AM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#10 - 05/04/2017 02:20 PM - Andreas Miiller

Please define open issues

#11 - 05/04/2017 02:22 PM - Andreas Miiller

- Subject changed from Add clone method for classifications to Add menu item for classification cloning

#12 - 05/05/2017 02:29 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

This is most probably solved depending on how the implementation in cdmlib looks like. For now, all available parameters are display in a dialog to
customize the cloning operation.
@Andreas: Could you check if in cdmlib side this is finished #4866

#13 - 05/10/2017 06:35 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Private changed from Yes to No

#14 - 12/04/2020 04:39 PM - Andreas Miiller

- Related to bug #9349: Open issues for classification cloning added

#15 - 12/18/2020 07:41 PM - Andreas Miiller

- Subject changed from Add menu item for classification cloning to Add menu item for subtree cloning
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Release 4.7 to Release 5.19

It seems that the menu entry was removed or does not work anymore, even with experimental features being switched on.

Also the method has improved configuration now and allows running on subtrees, not only classifications. The calling method should be adapted
accordingly and a configuration dialogue is needed if it does not exist yet.

Cloning names should not be supported yet as it is a complex issue and not yet fully implemented in the underlying method (see comments in #9349).
See also #9349 for further improvements in the underlying method.

#16 - 12/18/2020 09:40 PM - Andreas Miiller

- Description updated

#17 - 12/18/2020 09:42 PM - Andreas Miiller

- Description updated

#18 - 01/22/2021 12:19 PM - Katja Luther
- Status changed from Feedback to In Progress

- Target version changed from Release 5.19 to Release 5.21
#19 - 03/11/2021 09:05 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#20 - 04/19/2021 04:33 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.45

#21 - 08/10/2021 11:54 AM - Katja Luther
This is operation does not work at all at the moment, the following exception appears:
last remote method : http://localhost:8080/remoting/classification.service

last remote request client time : 2021-08-10T11:55:32.65
client error time : 2021-08-10T11:55:32.802

login : admin
editor version : 5.27.0.qualifier
server : localhost (localhost-dev)

schema version : 5.25.1.0.20210702
os : Windows 7 6.1 amdé64
java : 1.8.0_92
org.eclipse.ed.core.di.InjectionException: org.eclipse.core.runtime.AssertionFailedException: null argument:ge
tControl () of wizard page returns null. Did you call setControl() in your wizard page?

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j
ava:433)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri
butionItem. java:454)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt
em. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
Caused by: org.eclipse.core.runtime.AssertionFailedException: null argument:getControl () of wizard page return
s null. Did you call setControl() in your wizard page?

at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:85)

at org.eclipse.jface.wizard.Wizard.createPageControls (Wizard.java:179)

at org.eclipse.jface.wizard.WizardDialog.createPageControls (WizardDialog. java:696)

at org.eclipse.jface.wizard.WizardDialog.createContents (WizardDialog. java:588)

at org.eclipse. jface.window.Window.create (Window. java:426)

at org.eclipse.jface.dialogs.Dialog.create (Dialog. java:1095)

at org.eclipse. jface.window.Window.open (Window. java:783)

at eu.etaxonomy.taxeditor.navigation.navigator.e4.handler.CloneClassificationHandlerE4.execute (CloneClassi
ficationHandlerE4. java:59)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
37 more
